export default class Guide extends egret.Sprite {
    destroy(): any {
        this.parent.removeChild(this);
    }
    constructor(parent: egret.Sprite) {
        super();
        this.touchEnabled=true;
        this.graphics.beginFill(0, .7);
        this.graphics.drawRect(0, 0, parent.stage.stageWidth, parent.stage.stageHeight);
        this.graphics.endFill();
        parent.addChild(this);
    }
}